Get recommendation configuration

Returns a single recommendation configuration by its ID.

Request

GET /reco/{id}

Headers

HeaderValue
AuthorizationBearer <token>

Path Parameters

ParameterTypeRequiredDescription
idintegerYesID of the recommendation configuration.

Example Request

GET /reco/1

Response

Returns a JSON object representing the recommendation configuration.

Response Fields

FieldTypeDescription
idintegerUnique recommendation configuration ID.
namestringDisplay name of the recommendation.
activebooleanWhether the recommendation is active.
recommendationTypestringAlgorithm type (e.g. textSimilarity, boughtTogether, cartBased, userBased, pictureSimilarity, none).
userstringEmail of the user who last modified the configuration.

Example Response

{
  "id": 1,
  "name": "Similar Products",
  "active": true,
  "recommendationType": "textSimilarity",
  "user": "[email protected]"
}